Subject: Re: [hybi] Experiment comparing Upgrade and CONNECT handshakes
From: Willy Tarreau <[email-masked]>
To: Adam Barth <[email-masked]>
Cc: Hybi <[email-masked]>
Date: Sat, 27 Nov 2010 18:38:12 +0100
List-Id: Server-Initiated HTTP <hybi.ietf.org>

On Sat, Nov 27, 2010 at 08:24:15AM -0800, Adam Barth wrote:
> On Sat, Nov 27, 2010 at 8:16 AM, Willy Tarreau <[email-masked]> wrote:
> > On Sat, Nov 27, 2010 at 07:51:17AM -0800, Eric Rescorla wrote:
> >> What's the argument *for* having an insecure handshake?
> >
> > There's no argument *for* having an insecure handshake, there are arguments
> > for having a safe HTTP-compliant handshake.
> 
> The handshake we're proposing is both safe and HTTP compliant.

So I can use the Host header to route it through a shared infrastructure
and deliver the connect request to the appropriate server ? I'm not so
sure...

Regards,
Willy